summaryrefslogtreecommitdiff
path: root/IR-Data/test-suite.sh
diff options
context:
space:
mode:
authorukw2010-11-10 08:38:53 +0000
committerukw2010-11-10 08:38:53 +0000
commit9405f84a089d56faf232246f86a509d879461e6e (patch)
treeca84a9c12f86655b19d87fc6f025f9a2c96ffb54 /IR-Data/test-suite.sh
parentf5ca01473d48aafa8fb84fef6fdf461344a9968e (diff)
downloadirmp-9405f84a089d56faf232246f86a509d879461e6e.zip
corrected SIEMENS protocol, added NIKON protocol
git-svn-id: svn://mikrocontroller.net/irmp@48 aeb2e35e-bfc4-4214-b83c-9e8de998ed28
Diffstat (limited to 'IR-Data/test-suite.sh')
-rw-r--r--IR-Data/test-suite.sh19
1 files changed, 10 insertions, 9 deletions
diff --git a/IR-Data/test-suite.sh b/IR-Data/test-suite.sh
index a1abf02..8b6a223 100644
--- a/IR-Data/test-suite.sh
+++ b/IR-Data/test-suite.sh
@@ -53,6 +53,7 @@ for j in \
nec-repetition.txt \
nec-skymaster-dt500.txt \
nec.txt \
+ nikon.txt \
nubert-subwoofer.txt \
orion_vcr_07660BM070.txt \
panasonic-scan.txt \
@@ -69,9 +70,9 @@ do
echo "testing $j ..."
if tmpsrc/irmp -v < $j | grep -q error
then
- tmpsrc/irmp -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
@@ -84,9 +85,9 @@ do
echo "testing $j ..."
if tmpsrc/irmp-15kHz -v < $j | grep -q error
then
- tmpsrc/irmp-15kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-15kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
@@ -98,9 +99,9 @@ do
echo "testing $j ..."
if tmpsrc/irmp-20kHz -v < $j | grep -q error
then
- tmpsrc/irmp-20kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-20kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done